#include "too_many_attempts_msg_2.h"

// Author: Steve Talbot

too_many_attempts_msg_2:: too_many_attempts_msg_2(){
}

too_many_attempts_msg_2:: ~too_many_attempts_msg_2(){
}

bool too_many_attempts_msg_2:: too_many_attempts_msg( Data* data_ ){

	// this method overrides the default method “too_many_attempts_msg()” from the
	// superclass “too_many_attempts_msg_1” ..

	AccountInfo* accountInfo = data_->getCurrentAccountInfo();
	int id = accountInfo->getID();
	int maxAttempts = data_->getMaxAttempts();
	cout << "The user exceeded max number of \"pin attempts\" (id: " << id << ", maxAttempts: " <<  maxAttempts << " )." << endl;

	// reset "tempPin" ..
	data_->setTempPin( -1 );

	return false;


}
